Package org.apache.wiki.api.exceptions

# Class PluginException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.wiki.api.exceptions.WikiException
org.apache.wiki.api.exceptions.PluginException

All Implemented Interfaces:
  `Serializable`

public class PluginException extends WikiException
Provides a generic PluginException. This is the kind of an exception that the plugins should throw.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PluginException(String message)`
Create a PluginException.
`PluginException(String message, Throwable original)`
Create a PluginException with the given original exception wrapped.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getRootThrowable()`
Return the original exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PluginException

public PluginException(String message)
Create a PluginException.

Parameters:
  `message` - exception message.

### PluginException

public PluginException(String message, Throwable original)
Create a PluginException with the given original exception wrapped.

Parameters:
  `message` - exception message.
  `original` - The original exception.

## Method Details

### getRootThrowable

public Throwable getRootThrowable()
Return the original exception.

Returns:
  The original exception.